Download MetaTrader 5

Failed download of Market product to VPS terminal

To add comments, please log in or register
Gribbit
62
Gribbit  

Hi

Can anyone shed any light to why my VPS failed to dowload a purchased EA from the market.

The error said that it failed to create a temp file to download to plus this has also cost me an activation

In the attached file, I downloaded it to my demo terminal on my desktop prior to trying to download it to my VPS

Tried downloading via the terminal as you would normally.

Can I get the activation back due to this?

Thanks

Sergey Golubev
Moderator
98439
Sergey Golubev  
It depends on many reasons ... if Windows VPS so it should work (just make sure that you have IE8 installed).

If this is mql5 VPS so it should work too.

As I know (MQ reported) tha Signal service does not work on Linux (may be - same for the Market products):

Forum on trading, automated trading systems and testing trading strategies

Metatrader4 / Linux / Signals

Aleksey Pak, 2015.05.18 09:43

Hello, unfortunately Signals Service not work in the Linux.

As to MQL5 VPS so I have the following information:

Forum on trading, automated trading systems and testing trading strategies

Need to activate my purchased EA on my VPS

Sergey Golubev, 2016.06.11 08:27

Hi maldine7,

There are similar questions were asked there: Questions about VPS configuration so I am suggesting to you to read those thread (there are some usefull links/small articles to read).

As to product purchased on the Market :

How to Prepare a Trading Account for Migration to Virtual Hosting
Products purchased on the Market and launched on the chart are also moved during migration. They remain completely functional, and the number of available activations is not decreased. Automatic licensing of purchased products without spending available activations is provided only for the virtual terminal.
I think - you can write to the service desk (but you should provide all the information to them - which VPS, OS - Windows or any other, when did you buy the product, and so on).
Gribbit
62
Gribbit  

Hi Sergey

Thanks for the reply, it is a windows server and not MQL VPS, IE8 shouldn't come into it as the download was done inside the terminal, not via a web page to the platform.

I have downloaded another Market ea to this VPS before so config should also not be a problem. I have logged a job with the Service Desk, but have not provided the info you have suggested.

Didnt really know where to go to report this issue also vendor never replied to an earlier query I had on this EA so if I do not get a response from the Seller is there somewhere I can go to get some action?

Cheers

Sergey Golubev
Moderator
98439
Sergey Golubev  

About IE -- there is the information from admins here:

Forum on trading, automated trading systems and testing trading strategies

Internet Browser Requirements

Alexey, 2013.01.17 10:51

Do you have Service Pack 3 installed? Internet Explorer 8 can be installed on Windows XP. Try to install all the available updates for the system first.

Internet Explorer 8 or higher is required for the Market to work in MetaTrader terminal

Forum on trading, automated trading systems and testing trading strategies

Internet Browser Requirements

Alexey, 2013.01.18 09:06

Internet Explorer is a system component, even if you uninstall it will not be removed completely, you'll just be unable to start its executable file (and some other things). Its core files used by OS and other applications will stay. You can read more here.

So, you should have Internet Explorer (version 8 or high) anyway even if you are downloading from inside the Metatrader.
Gribbit
62
Gribbit  

Hi Sergey

The VPS is Windows Server 2012 64 bit and looks like IE10 is the only version that is supported by Microsoft for WS2012.  If I install IE10 and it needs a reboot after install, how do I do that? It has Firefox installed but no IE.

As I said earlier I have already downloaded a Market EA into a MT terminal using this VPS successfully although this terminal is build 950.

The one I tried to download to today is build 1010 so could this be the issue with it not downloading without IE installed?

I also need to update the 950 terminal to 1010 to run this ea so I hope I dont get into trouble there either.

Late here I need to go to bed and work tomorrow.

Service Desk has asked for the Log file

Hopefully we will work it out

May need help over the weekend but I don't want to burn my activations

Thanks again

Daniel Stein
33422
Daniel Stein  
Gribbit:


May need help over the weekend but I don't want to burn my activations


No worries mate. You need just one activation per operating system id.

So the activation 3 of 5 is already tied to your VPS which means you can download/install this EA on that VPS as often as you like.

To add comments, please log in or register